> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/es/powershell-commands/get-dspamscanresult.md).

# Get-DSPamScanResult

Get-DSPamScanResult recupera el resultado del trabajo de análisis más reciente para una configuración específica de descubrimiento de cuentas de Devolutions Server.

### Sinopsis

Recuperar el resultado del trabajo de análisis más reciente asociado a una configuración específica de descubrimiento de cuentas

### Sintaxis

#### \_\_AllParameterSets

```
Get-DSPamScanResult [-InputObject] <ScanConfigurationDto> [[-Filter] <string>] [-ExcludeManaged]
 [<CommonParameters>]
```

### Descripción

Recuperar el resultado del trabajo de análisis más reciente asociado a una configuración específica de descubrimiento de cuentas.

### Ejemplos

#### Ejemplo 1

```powershell
PS C:\> Get-DSPamScanConfiguration -LiteralName 'ScanA' | Get-DSPamScanResult
```

Obtener el resultado del análisis para la configuración denominada 'ScanA'

#### Ejemplo 2

```powershell
PS C:\> $providerID = 'the-desired-pam-provider-ID'
        $folderID = 'the-desired-pam-vault-or-folder-ID'
        $configuration = Get-DSPamScanConfiguration -LiteralName 'ScanA';
        $toImport = Get-DSPamScanResult -InputObject $configuration -Filter '@domain.net' -ExcludedManaged;
        $providerResult = Get-DSPamProvider
        $provider = $providerResult.Data | Where -Property ID -eq $providerID
        $importResult = Import-DSPamScanResult -ScanResult $toImport -Provider $provider -FolderID $folderID
```

A partir del resultado del análisis PAM 'ScanA', importar todos los usuarios que tengan '@domain.net' en su nombre de usuario, nombre de host, nombre completo o descripción en la carpeta PAM especificada por $folderID.

### Parámetros

#### -ExcludeManaged

Excluir los usuarios gestionados

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Filter

El filtro global, idéntico al filtro de la interfaz web, está diseñado para aplicarse a los campos de nombre de usuario, nombre de host, nombre completo y descripción.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -InputObject

Objeto de configuración de descubrimiento de cuentas PAM obtenido de Get-DSPamScanConfiguration

```yaml
Type: Devolutions.Server.NetworkDiscovery.Dto.ScanConfigurationDto
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: true
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Este cmdlet admite los parámetros comunes: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction y -WarningVariable. Para obtener más información, consulte [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Entradas

#### Devolutions.Server.NetworkDiscovery.Dto.ScanConfigurationDto

Objeto de configuración de descubrimiento de cuentas PAM obtenido de Get-DSPamScanConfiguration

### Notas

Para obtener más información, escriba "Get-Help Get-DSPamScanResult -detailed". Para obtener información técnica, escriba "Get-Help Get-DSPamScanResult -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/es/powershell-commands/get-dspamscanresult.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
